datacache <- new.env(hash=TRUE, parent=emptyenv())

hgu95a <- function() showQCData("hgu95a", datacache)
hgu95a_dbconn <- function() dbconn(datacache)
hgu95a_dbfile <- function() dbfile(datacache)
hgu95a_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
hgu95a_dbInfo <- function() dbInfo(datacache)

hgu95aORGANISM <- "Homo sapiens"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "hgu95a.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.HUMANCHIP_DB("hgu95a", "chip hgu95a", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(hgu95a_dbconn())
}

